<template>
  <el-config-provider :locale="locale==='zh'?zhCnEl:enUsEl">
    <router-view />
  </el-config-provider>
</template>

<script setup>
import { ElConfigProvider } from "element-plus";
import zhCnEl from "element-plus/es/locale/lang/zh-cn";
import enUsEl from "element-plus/es/locale/lang/en";
import { useI18n } from "vue-i18n"; //要在js中使用国际化
const { locale } = useI18n();
import useSettingsStore from "@/store/modules/settings";
import { handleThemeStyle } from "@/utils/theme";
onMounted(() => {
  nextTick(() => {
    // 初始化主题样式
    handleThemeStyle(useSettingsStore().theme);
  });
});
</script>
